diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-test.cc ns-3.44/src/wifi/test/wifi-test.cc
--- ns-3.43/src/wifi/test/wifi-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -86,10 +86,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Wifi Test
+ * @brief Wifi Test
  */
 class WifiTest : public TestCase
 {
@@ -103,13 +103,13 @@
     void RunOne();
     /**
      * Create one function
-     * \param pos the position
-     * \param channel the wifi channel
+     * @param pos the position
+     * @param channel the wifi channel
      */
     void CreateOne(Vector pos, Ptr<YansWifiChannel> channel);
     /**
      * Send one packet function
-     * \param dev the device
+     * @param dev the device
      */
     void SendOnePacket(Ptr<WifiNetDevice> dev);
 
@@ -175,7 +175,7 @@
     mobility->SetPosition(pos);
     node->AggregateObject(mobility);
 
-    Simulator::Schedule(Seconds(1.0), &WifiTest::SendOnePacket, this, dev);
+    Simulator::Schedule(Seconds(1), &WifiTest::SendOnePacket, this, dev);
 }
 
 void
@@ -191,7 +191,7 @@
     CreateOne(Vector(5.0, 0.0, 0.0), channel);
     CreateOne(Vector(5.0, 0.0, 0.0), channel);
 
-    Simulator::Stop(Seconds(10.0));
+    Simulator::Stop(Seconds(10));
 
     Simulator::Run();
     Simulator::Destroy();
@@ -229,10 +229,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Qos Utils Is Old Packet Test
+ * @brief Qos Utils Is Old Packet Test
  */
 class QosUtilsIsOldPacketTest : public TestCase
 {
@@ -286,19 +286,19 @@
   private:
     /**
      * Create one function
-     * \param pos the position
-     * \param channel the wifi channel
-     * \returns the node
+     * @param pos the position
+     * @param channel the wifi channel
+     * @returns the node
      */
     Ptr<Node> CreateOne(Vector pos, Ptr<YansWifiChannel> channel);
     /**
      * Send one packet function
-     * \param dev the device
+     * @param dev the device
      */
     void SendOnePacket(Ptr<WifiNetDevice> dev);
     /**
      * Switch channel function
-     * \param dev the device
+     * @param dev the device
      */
     void SwitchCh(Ptr<WifiNetDevice> dev);
 
@@ -394,7 +394,7 @@
                       true);
     propLoss->SetDefaultLoss(999);
 
-    Simulator::Schedule(Seconds(1.0),
+    Simulator::Schedule(Seconds(1),
                         &InterferenceHelperSequenceTest::SendOnePacket,
                         this,
                         DynamicCast<WifiNetDevice>(senderB->GetDevice(0)));
@@ -404,17 +404,17 @@
                         this,
                         DynamicCast<WifiNetDevice>(rxOnly->GetDevice(0)));
 
-    Simulator::Schedule(Seconds(5.0),
+    Simulator::Schedule(Seconds(5),
                         &InterferenceHelperSequenceTest::SendOnePacket,
                         this,
                         DynamicCast<WifiNetDevice>(senderA->GetDevice(0)));
 
-    Simulator::Schedule(Seconds(7.0),
+    Simulator::Schedule(Seconds(7),
                         &InterferenceHelperSequenceTest::SendOnePacket,
                         this,
                         DynamicCast<WifiNetDevice>(senderB->GetDevice(0)));
 
-    Simulator::Stop(Seconds(100.0));
+    Simulator::Stop(Seconds(100));
     Simulator::Run();
 
     Simulator::Destroy();
@@ -481,7 +481,7 @@
   private:
     /**
      * Send one packet function
-     * \param dev the device
+     * @param dev the device
      */
     void SendOnePacket(Ptr<WifiNetDevice> dev);
 
@@ -495,8 +495,8 @@
 
     /**
      * Notify Phy transmit begin
-     * \param p the packet
-     * \param txPowerW the tx power
+     * @param p the packet
+     * @param txPowerW the tx power
      */
     void NotifyPhyTxBegin(Ptr<const Packet> p, double txPowerW);
 };
@@ -593,26 +593,26 @@
     // Txop::EndTxNoAck() calls to StartBackoffNow()
     AssignWifiRandomStreams(txMac, 23);
 
-    m_firstTransmissionTime = Seconds(0.0);
-    m_secondTransmissionTime = Seconds(0.0);
+    m_firstTransmissionTime = Seconds(0);
+    m_secondTransmissionTime = Seconds(0);
     m_numSentPackets = 0;
 
-    Simulator::Schedule(Seconds(1.0),
+    Simulator::Schedule(Seconds(1),
                         &DcfImmediateAccessBroadcastTestCase::SendOnePacket,
                         this,
                         txDev);
-    Simulator::Schedule(Seconds(1.0) + MicroSeconds(1),
+    Simulator::Schedule(Seconds(1) + MicroSeconds(1),
                         &DcfImmediateAccessBroadcastTestCase::SendOnePacket,
                         this,
                         txDev);
 
-    Simulator::Stop(Seconds(2.0));
+    Simulator::Stop(Seconds(2));
     Simulator::Run();
     Simulator::Destroy();
 
     // First packet is transmitted a DIFS after the packet is queued. A DIFS
     // is 2 slots (2 * 9 = 18 us) plus a SIFS (16 us), i.e., 34 us
-    Time expectedFirstTransmissionTime = Seconds(1.0) + MicroSeconds(34);
+    Time expectedFirstTransmissionTime = Seconds(1) + MicroSeconds(34);
 
     // First packet has 1408 us of transmit time.   Slot time is 9 us.
     // Backoff is 1 slots.  SIFS is 16 us.  DIFS is 2 slots = 18 us.
@@ -656,9 +656,9 @@
 
     /**
      * Receive function
-     * \param context the context
-     * \param p the packet
-     * \param adr the address
+     * @param context the context
+     * @param p the packet
+     * @param adr the address
      */
     void Receive(std::string context, Ptr<const Packet> p, const Address& adr);
 };
@@ -746,18 +746,18 @@
     client->SetRemote(socket);
     wifiStaNode.Get(0)->AddApplication(client);
     client->SetStartTime(Seconds(1));
-    client->SetStopTime(Seconds(51.0));
+    client->SetStopTime(Seconds(51));
 
     Ptr<PacketSocketServer> server = CreateObject<PacketSocketServer>();
     server->SetLocal(socket);
     wifiApNode.Get(0)->AddApplication(server);
-    server->SetStartTime(Seconds(0.0));
-    server->SetStopTime(Seconds(52.0));
+    server->SetStartTime(Seconds(0));
+    server->SetStopTime(Seconds(52));
 
     Config::Connect("/NodeList/*/ApplicationList/0/$ns3::PacketSocketServer/Rx",
                     MakeCallback(&Bug730TestCase::Receive, this));
 
-    Simulator::Schedule(Seconds(10.0),
+    Simulator::Schedule(Seconds(10),
                         Config::Set,
                         "/NodeList/0/DeviceList/0/RemoteStationManager/FragmentationThreshold",
                         StringValue("800"));
@@ -796,17 +796,17 @@
 
     /**
      * Receive function
-     * \param context the context
-     * \param p the packet
-     * \param adr the address
+     * @param context the context
+     * @param p the packet
+     * @param adr the address
      */
     void Receive(std::string context, Ptr<const Packet> p, const Address& adr);
 
     /**
      * Callback invoked when PHY transmits a packet
-     * \param context the context
-     * \param p the packet
-     * \param power the tx power
+     * @param context the context
+     * @param p the packet
+     * @param power the tx power
      */
     void Transmit(std::string context, Ptr<const Packet> p, double power);
 };
@@ -907,13 +907,13 @@
     client->SetRemote(socket);
     wifiStaNode.Get(0)->AddApplication(client);
     client->SetStartTime(Seconds(1));
-    client->SetStopTime(Seconds(3.0));
+    client->SetStopTime(Seconds(3));
 
     Ptr<PacketSocketServer> server = CreateObject<PacketSocketServer>();
     server->SetLocal(socket);
     wifiApNode.Get(0)->AddApplication(server);
-    server->SetStartTime(Seconds(0.0));
-    server->SetStopTime(Seconds(4.0));
+    server->SetStartTime(Seconds(0));
+    server->SetStopTime(Seconds(4));
 
     Config::Connect("/NodeList/*/ApplicationList/0/$ns3::PacketSocketServer/Rx",
                     MakeCallback(&QosFragmentationTestCase::Receive, this));
@@ -933,10 +933,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Set Channel Frequency Test
+ * @brief Set Channel Frequency Test
  */
 class SetChannelFrequencyTest : public TestCase
 {
@@ -948,8 +948,8 @@
   private:
     /**
      * Get yans wifi phy function
-     * \param nc the device collection
-     * \returns the wifi phy
+     * @param nc the device collection
+     * @returns the wifi phy
      */
     Ptr<YansWifiPhy> GetYansWifiPhyPtr(const NetDeviceContainer& nc) const;
 };
@@ -1010,8 +1010,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 36, width 20, frequency 5180
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 36, "default configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "default configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5180, "default configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "default configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5180}, "default configuration");
     }
     {
         // case 2:
@@ -1021,8 +1021,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 1, width 22, frequency 2412
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 1, "802.11b configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 22, "802.11b configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 2412, "802.11b configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{22}, "802.11b configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{2412}, "802.11b configuration");
     }
     {
         // case 3:
@@ -1032,8 +1032,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 1, width 20, frequency 2412
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 1, "802.11g configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11g configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 2412, "802.11g configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "802.11g configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{2412}, "802.11g configuration");
     }
     {
         // case 4:
@@ -1044,8 +1044,8 @@
         staDevice = wifi.Install(phy, macSta, wifiStaNode.Get(0));
         phySta = GetYansWifiPhyPtr(staDevice);
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 36, "802.11n-5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11n-5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5180, "802.11n-5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "802.11n-5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5180}, "802.11n-5GHz configuration");
         phy.Set("ChannelSettings", StringValue("{0, 0, BAND_UNSPECIFIED, 0}")); // restore default
     }
     {
@@ -1056,8 +1056,8 @@
         staDevice = wifi.Install(phy, macSta, wifiStaNode.Get(0));
         phySta = GetYansWifiPhyPtr(staDevice);
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 1, "802.11n-2.4GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11n-2.4GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 2412, "802.11n-2.4GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "802.11n-2.4GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{2412}, "802.11n-2.4GHz configuration");
     }
     {
         // case 6:
@@ -1067,8 +1067,8 @@
         staDevice = wifi.Install(phy, macSta, wifiStaNode.Get(0));
         phySta = GetYansWifiPhyPtr(staDevice);
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 42, "802.11ac configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 80, "802.11ac configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5210, "802.11ac configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{80}, "802.11ac configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5210}, "802.11ac configuration");
     }
     {
         // case 7:
@@ -1079,8 +1079,10 @@
         staDevice = wifi.Install(phy, macSta, wifiStaNode.Get(0));
         phySta = GetYansWifiPhyPtr(staDevice);
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 1, "802.11ax-2.4GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11ax-2.4GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 2412, "802.11ax-2.4GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(),
+                              MHz_u{20},
+                              "802.11ax-2.4GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{2412}, "802.11ax-2.4GHz configuration");
         phy.Set("ChannelSettings", StringValue("{0, 0, BAND_UNSPECIFIED, 0}")); // restore default
     }
     {
@@ -1090,8 +1092,8 @@
         staDevice = wifi.Install(phy, macSta, wifiStaNode.Get(0));
         phySta = GetYansWifiPhyPtr(staDevice);
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 42, "802.11ax-5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 80, "802.11ax-5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5210, "802.11ax-5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{80}, "802.11ax-5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5210}, "802.11ax-5GHz configuration");
     }
     {
         // case 9:
@@ -1101,8 +1103,8 @@
         staDevice = wifi.Install(phy, macSta, wifiStaNode.Get(0));
         phySta = GetYansWifiPhyPtr(staDevice);
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 7, "802.11ax-6GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 80, "802.11ax-6GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5985, "802.11ax-6GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{80}, "802.11ax-6GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5985}, "802.11ax-6GHz configuration");
         phy.Set("ChannelSettings", StringValue("{0, 0, BAND_UNSPECIFIED, 0}")); // restore default
     }
     {
@@ -1114,8 +1116,8 @@
         staDevice = wifi.Install(phy, macSta, wifiStaNode.Get(0));
         phySta = GetYansWifiPhyPtr(staDevice);
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 172, "802.11p 10Mhz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 10, "802.11p 10Mhz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5860, "802.11p 10Mhz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{10}, "802.11p 10Mhz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5860}, "802.11p 10Mhz configuration");
         phy.Set("ChannelSettings", StringValue("{0, 0, BAND_UNSPECIFIED, 0}")); // restore default
     }
     {
@@ -1127,8 +1129,8 @@
         staDevice = wifi.Install(phy, macSta, wifiStaNode.Get(0));
         phySta = GetYansWifiPhyPtr(staDevice);
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 171, "802.11p 5Mhz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 5, "802.11p 5Mhz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5860, "802.11p 5Mhz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{5}, "802.11p 5Mhz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5860}, "802.11p 5Mhz configuration");
         phy.Set("ChannelSettings", StringValue("{0, 0, BAND_UNSPECIFIED, 0}")); // restore default
     }
     {
@@ -1140,8 +1142,8 @@
         staDevice = wifi.Install(phy, macSta, wifiStaNode.Get(0));
         phySta = GetYansWifiPhyPtr(staDevice);
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 44, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5220, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5220}, "802.11 5GHz configuration");
         phy.Set("ChannelSettings", StringValue("{0, 0, BAND_UNSPECIFIED, 0}")); // restore default
     }
     {
@@ -1157,8 +1159,8 @@
              << "/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelSettings";
         Config::Set(path.str(), StringValue("{40, 0, BAND_5GHZ, 0}"));
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 40, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5200, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5200}, "802.11 5GHz configuration");
         phy.Set("ChannelSettings", StringValue("{0, 0, BAND_UNSPECIFIED, 0}")); // restore default
     }
     {
@@ -1176,8 +1178,8 @@
         // Although channel 44 is configured originally for 20 MHz, we
         // allow it to be used for 40 MHz here
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 46, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 40, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5230, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{40}, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5230}, "802.11 5GHz configuration");
         phy.Set("ChannelSettings", StringValue("{0, 0, BAND_UNSPECIFIED, 0}")); // restore default
     }
     {
@@ -1196,8 +1198,8 @@
         // Although channel 44 is configured originally for 20 MHz, we
         // allow it to be used for 40 MHz here
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 4, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 40, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 2427, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{40}, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{2427}, "802.11 5GHz configuration");
         phy.Set("ChannelSettings", StringValue("{0, 0, BAND_UNSPECIFIED, 0}")); // restore default
     }
     {
@@ -1234,8 +1236,8 @@
         phySta->SetAttribute("ChannelSettings", StringValue("{100, 0, BAND_5GHZ, 0}"));
         // We expect frequency to be 5500 due to channel number being 100
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 100, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5500, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5500}, "802.11 5GHz configuration");
     }
     {
         // case 18:
@@ -1281,8 +1283,8 @@
         phySta->SetAttribute("ChannelSettings", StringValue("{36, 0, BAND_5GHZ, 0}"));
         // We expect channel number to be 36 due to known center frequency 5180
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 36, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5180, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5180}, "802.11 5GHz configuration");
         exceptionThrown = false;
         try
         {
@@ -1296,8 +1298,8 @@
         NS_TEST_ASSERT_MSG_EQ(exceptionThrown, true, "802.11 5GHz configuration");
         phySta->SetAttribute("ChannelSettings", StringValue("{36, 0, BAND_5GHZ, 0}"));
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 36, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5180, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5180}, "802.11 5GHz configuration");
     }
     {
         // case 20:
@@ -1308,27 +1310,27 @@
         staDevice = wifi.Install(phy, macSta, wifiStaNode.Get(0));
         phySta = GetYansWifiPhyPtr(staDevice);
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 40, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5200, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5200}, "802.11 5GHz configuration");
         // Set both channel and frequency to consistent values after initialization
         wifi.SetStandard(WIFI_STANDARD_80211n);
         staDevice = wifi.Install(phy, macSta, wifiStaNode.Get(0));
         phySta = GetYansWifiPhyPtr(staDevice);
         phySta->SetAttribute("ChannelSettings", StringValue("{40, 0, BAND_5GHZ, 0}"));
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 40, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5200, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5200}, "802.11 5GHz configuration");
 
         phySta->SetAttribute("ChannelSettings", StringValue("{36, 0, BAND_5GHZ, 0}"));
         // We expect channel number to be 36
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 36, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5180, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5180}, "802.11 5GHz configuration");
         phySta->SetAttribute("ChannelSettings", StringValue("{40, 0, BAND_5GHZ, 0}"));
         // We expect channel number to be 40
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 40, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5200, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5200}, "802.11 5GHz configuration");
         bool exceptionThrown = false;
         try
         {
@@ -1341,8 +1343,8 @@
         phySta->SetAttribute("ChannelSettings", StringValue("{36, 0, BAND_5GHZ, 0}"));
         // We expect channel number to be 36 and an exception to be thrown
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 36, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5180, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5180}, "802.11 5GHz configuration");
         NS_TEST_ASSERT_MSG_EQ(exceptionThrown, true, "802.11 5GHz configuration");
         phySta->SetAttribute("ChannelSettings", StringValue("{36, 0, BAND_5GHZ, 0}"));
         exceptionThrown = false;
@@ -1356,8 +1358,8 @@
         }
         // We expect channel number to be 36 and an exception to be thrown
         NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelNumber(), 36, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), 20, "802.11 5GHz configuration");
-        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), 5180, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetChannelWidth(), MHz_u{20}, "802.11 5GHz configuration");
+        NS_TEST_ASSERT_MSG_EQ(phySta->GetFrequency(), MHz_u{5180}, "802.11 5GHz configuration");
         NS_TEST_ASSERT_MSG_EQ(exceptionThrown, true, "802.11 5GHz configuration");
     }
 
@@ -1385,8 +1387,8 @@
 
     /**
      * Transmit data failed function
-     * \param context the context
-     * \param adr the MAC address
+     * @param context the context
+     * @param adr the MAC address
      */
     void TxDataFailedTrace(std::string context, Mac48Address adr);
 };
@@ -1469,8 +1471,8 @@
     clientLowPriority->SetAttribute("Priority", UintegerValue(4)); // AC_VI
     clientLowPriority->SetRemote(socket);
     wifiNodes.Get(0)->AddApplication(clientLowPriority);
-    clientLowPriority->SetStartTime(Seconds(0.0));
-    clientLowPriority->SetStopTime(Seconds(1.0));
+    clientLowPriority->SetStartTime(Seconds(0));
+    clientLowPriority->SetStopTime(Seconds(1));
 
     Ptr<PacketSocketClient> clientHighPriority = CreateObject<PacketSocketClient>();
     clientHighPriority->SetAttribute("PacketSize", UintegerValue(1460));
@@ -1478,19 +1480,19 @@
     clientHighPriority->SetAttribute("Priority", UintegerValue(6)); // AC_VO
     clientHighPriority->SetRemote(socket);
     wifiNodes.Get(0)->AddApplication(clientHighPriority);
-    clientHighPriority->SetStartTime(Seconds(0.0));
-    clientHighPriority->SetStopTime(Seconds(1.0));
+    clientHighPriority->SetStartTime(Seconds(0));
+    clientHighPriority->SetStopTime(Seconds(1));
 
     Ptr<PacketSocketServer> server = CreateObject<PacketSocketServer>();
     server->SetLocal(socket);
     wifiNodes.Get(1)->AddApplication(server);
-    server->SetStartTime(Seconds(0.0));
-    server->SetStopTime(Seconds(1.0));
+    server->SetStartTime(Seconds(0));
+    server->SetStopTime(Seconds(1));
 
     Config::Connect("/NodeList/*/DeviceList/*/RemoteStationManager/MacTxDataFailed",
                     MakeCallback(&Bug2222TestCase::TxDataFailedTrace, this));
 
-    Simulator::Stop(Seconds(1.0));
+    Simulator::Stop(Seconds(1));
     Simulator::Run();
     Simulator::Destroy();
 
@@ -1532,15 +1534,15 @@
     /**
      * Stores the distinct {starting frequency, channelWidth, Number of subbands in SpectrumModel,
      * modulation type} tuples that have been used during the testcase run.
-     * \param context the context
-     * \param txParams spectrum signal parameters set by transmitter
+     * @param context the context
+     * @param txParams spectrum signal parameters set by transmitter
      */
     void StoreDistinctTuple(std::string context, Ptr<SpectrumSignalParameters> txParams);
     /**
      * Triggers the arrival of a burst of 1000 Byte-long packets in the source device
-     * \param numPackets number of packets in burst
-     * \param sourceDevice pointer to the source NetDevice
-     * \param destination address of the destination device
+     * @param numPackets number of packets in burst
+     * @param sourceDevice pointer to the source NetDevice
+     * @param destination address of the destination device
      */
     void SendPacketBurst(uint8_t numPackets,
                          Ptr<NetDevice> sourceDevice,
@@ -1551,7 +1553,7 @@
 
 Bug2843TestCase::Bug2843TestCase()
     : TestCase("Test case for Bug 2843"),
-      m_channelWidth(20)
+      m_channelWidth(MHz_u{20})
 {
 }
 
@@ -1565,7 +1567,7 @@
     // Extract starting frequency and number of subbands
     Ptr<const SpectrumModel> c = txParams->psd->GetSpectrumModel();
     std::size_t numBands = c->GetNumBands();
-    const Hz_u startingFreq = c->Begin()->fl;
+    const Hz_u startingFreq{c->Begin()->fl};
 
     // Get channel bandwidth and modulation class
     Ptr<const WifiSpectrumSignalParameters> wifiTxParams =
@@ -1608,7 +1610,7 @@
 void
 Bug2843TestCase::DoRun()
 {
-    MHz_u channelWidth = 40; // at least 40 MHz expected here
+    MHz_u channelWidth{40}; // at least 40 MHz expected here
 
     NodeContainer wifiStaNode;
     wifiStaNode.Create(1);
@@ -1687,13 +1689,13 @@
     // tuples
     std::size_t numberTuples = m_distinctTuples.size();
     NS_TEST_ASSERT_MSG_EQ(numberTuples, 2, "Only two distinct tuples expected");
-    NS_TEST_ASSERT_MSG_EQ(std::get<0>(m_distinctTuples[0]) - 20e6,
+    NS_TEST_ASSERT_MSG_EQ(std::get<0>(m_distinctTuples[0]) - Hz_u{20e6},
                           std::get<0>(m_distinctTuples[1]),
                           "The starting frequency of the first tuple should be shifted 20 MHz to "
                           "the right wrt second tuple");
     // Note that the first tuple should the one initiated by the beacon, i.e. non-HT OFDM (20 MHz)
     NS_TEST_ASSERT_MSG_EQ(std::get<1>(m_distinctTuples[0]),
-                          20,
+                          MHz_u{20},
                           "First tuple's channel width should be 20 MHz");
     NS_TEST_ASSERT_MSG_EQ(std::get<2>(m_distinctTuples[0]),
                           193,
@@ -1741,9 +1743,9 @@
     void ChangeSupportedChannelWidth();
     /**
      * Callback triggered when a packet is received by the PHYs
-     * \param context the context
-     * \param p the received packet
-     * \param rxPowersW the received power per channel band in watts
+     * @param context the context
+     * @param p the received packet
+     * @param rxPowersW the received power per channel band in watts
      */
     void RxCallback(std::string context, Ptr<const Packet> p, RxPowerWattPerChannelBand rxPowersW);
 
@@ -1923,9 +1925,9 @@
     Config::Connect("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::WifiPhy/PhyRxBegin",
                     MakeCallback(&Bug2831TestCase::RxCallback, this));
 
-    Simulator::Schedule(Seconds(1.0), &Bug2831TestCase::ChangeSupportedChannelWidth, this);
+    Simulator::Schedule(Seconds(1), &Bug2831TestCase::ChangeSupportedChannelWidth, this);
 
-    Simulator::Stop(Seconds(3.0));
+    Simulator::Stop(Seconds(3));
     Simulator::Run();
     Simulator::Destroy();
 
@@ -1952,7 +1954,7 @@
  *     still scanning. STA is expected to associate to the second best AP.
  *
  * See \bugid{2399}
- * \todo Add explicit association refusal test if ns-3 implemented it.
+ * @todo Add explicit association refusal test if ns-3 implemented it.
  */
 
 class StaWifiMacScanningTestCase : public TestCase
